IMarkerFactory (SLF4J 1.7.28 API)
Date: 2019-08-10

org.slf4j

## Interface IMarkerFactory

- All Known Implementing Classes:
    BasicMarkerFactory

      public interface IMarkerFactory

  Implementations of this interface are used to manufacture `Marker` instances.

  See the section Implementing the SLF4J API in the FAQ for details on how to make your logging system conform to SLF4J.

  Author:
    Ceki Gülcü

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `detachMarker(String name)` Detach an existing marker.
    `boolean` | `exists(String name)` Checks if the marker with the name already exists.
    `Marker` | `getDetachedMarker(String name)` Create a marker which is detached (even at birth) from this IMarkerFactory.
    `Marker` | `getMarker(String name)` Manufacture a `Marker` instance by name.

- - ### Method Detail

    - #### getMarker

          Marker getMarker(String name)

      Manufacture a `Marker` instance by name. If the instance has been created earlier, return the previously created instance.

      Null name values are not allowed.

      Parameters:
        `name` - the name of the marker to be created, null value is not allowed.
      Returns:
        a Marker instance

    - #### exists

          boolean exists(String name)

      Checks if the marker with the name already exists. If name is null, then false is returned.
      Parameters:
        `name` - logger name to check for
      Returns:
        true id the marker exists, false otherwise.

    - #### detachMarker

          boolean detachMarker(String name)

      Detach an existing marker.

      Note that after a marker is detached, there might still be "dangling" references to the detached marker.

      Parameters:
        `name` - The name of the marker to detach
      Returns:
        whether the marker could be detached or not

    - #### getDetachedMarker

          Marker getDetachedMarker(String name)

      Create a marker which is detached (even at birth) from this IMarkerFactory.
      Parameters:
        `name` - marker name
      Returns:
        a dangling marker
      Since:
        1.5.1

Copyright © 2005–2019 QOS.ch. All rights reserved.